import { __decorate } from "tslib";
import { accentFillRest, neutralFillStealthRest, neutralForegroundRest, } from '@microsoft/fast-components';
import { css, customElement, FASTElement } from '@microsoft/fast-element';
import { template } from './template';
const styles = css `
  :host {
    contain: content;
    display: block;
    border-right: 1px solid ${neutralForegroundRest};
    background: ${neutralFillStealthRest};
    display: flex;
    flex-direction: row;
  }

  .svg-icon {
    width: 1.5em;
    height: 1.5em;
  }

  .svg-icon path,
  .svg-icon polygon,
  .svg-icon rect {
    fill: ${accentFillRest};
  }

  .svg-icon circle {
    stroke: ${accentFillRest};
    stroke-width: 1;
  }

  foundation-zero-button {
    width: 100%;
    height: 50px;
  }

  foundation-zero-button::part(info1),
  foundation-zero-button::part(info2) {
    display: none;
  }

  img {
    width: 38px;
  }

  svg {
    width: 100%;
    height: 54px;
  }
`;
let Navigation = class Navigation extends FASTElement {
};
Navigation = __decorate([
    customElement({
        name: 'foundation-settings-navigation',
        template,
        styles,
    })
], Navigation);
export { Navigation };
